Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
libkexiv2-0.1.7-r1 fails to compile [solved - 0.1.8]
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
hunky
l33t
l33t


Joined: 19 Nov 2003
Posts: 821
Location: Alaska

PostPosted: Fri Jan 09, 2009 5:40 am    Post subject: libkexiv2-0.1.7-r1 fails to compile [solved - 0.1.8] Reply with quote

Not sure if this is the right forum but I'm thinking this might have something to do with using kde-testing overlay since a few things are a bit buggered. I'm using both kde-3.5.10 and kde-4.1.87 with kdeprefix enabled. So I have both libkexiv2-0.1.7 and libkexiv2-4.1.87 installed.

If I emerge something, I get this:
Code:
!!! existing preserved libs:
>>> package: media-gfx/exiv2-0.18
 *  - /usr/lib/libexiv2.so.4
 *  - /usr/lib/libexiv2.so.4.0.1
 *      used by /usr/kde/3.5/lib/libkexiv2.so.3.1.0 (media-libs/libkexiv2-0.1.7-r1)
Use emerge @preserved-rebuild to rebuild packages using these libraries


If I run emerge @preserved-rebuild, it tries to emerge the libkexiv2 but fails with this:
Code:
make[3]: Entering directory `/var/tmp/portage/media-libs/libkexiv2-0.1.7-r1/work/libkexiv2-0.1.7/libkexiv2/libkexiv2'
/bin/sh ../../libtool --silent --tag=CXX   --mode=compile i686-pc-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I../.. -I/usr/kde/3.5/include -I/usr/qt/3/include -I.   -DQT_THREAD_SUPPORT  -D_REENTRANT  -Wno-long-long -Wundef -ansi -D_XOPEN_SOURCE=500 -D_BSD_SOURCE -Wcast-align -Wchar-subscripts -Wall -W -Wpointer-arith -DNDEBUG -DNO_DEBUG -O2 -march=prescott -O2 -pipe -fomit-frame-pointer -Wformat-security -Wmissing-format-attribute -Wno-non-virtual-dtor -fno-exceptions -fno-check-new -fno-common -DQT_CLEAN_NAMESPACE -DQT_NO_ASCII_CAST -DQT_NO_STL -DQT_NO_COMPAT -DQT_NO_TRANSLATION -fexceptions  -c -o kexiv2.lo kexiv2.cpp
In file included from kexiv2.cpp:41:
/usr/qt/3/include/qimage.h: In member function 'bool QImageTextKeyLang::operator<(const QImageTextKeyLang&) const':
/usr/qt/3/include/qimage.h:58: warning: suggest parentheses around && within ||
kexiv2.cpp: In member function 'QByteArray KExiv2Iface::KExiv2::getExif() const':
kexiv2.cpp:221: error: 'class Exiv2::ExifData' has no member named 'copy'
kexiv2.cpp: In member function 'QByteArray KExiv2Iface::KExiv2::getIptc(bool) const':
kexiv2.cpp:258: error: 'class Exiv2::IptcData' has no member named 'copy'
kexiv2.cpp: In member function 'bool KExiv2Iface::KExiv2::setExif(const QByteArray&)':
kexiv2.cpp:289: error: 'class Exiv2::ExifData' has no member named 'load'
kexiv2.cpp: In member function 'bool KExiv2Iface::KExiv2::setIptc(const QByteArray&)':
kexiv2.cpp:312: error: 'class Exiv2::IptcData' has no member named 'load'
kexiv2.cpp: In member function 'bool KExiv2Iface::KExiv2::setExif(Exiv2::DataBuf)':
kexiv2.cpp:335: error: 'class Exiv2::ExifData' has no member named 'load'
kexiv2.cpp: In member function 'bool KExiv2Iface::KExiv2::setIptc(Exiv2::DataBuf)':
kexiv2.cpp:358: error: 'class Exiv2::IptcData' has no member named 'load'
kexiv2.cpp: In member function 'QImage KExiv2Iface::KExiv2::getExifThumbnail(bool) const':
kexiv2.cpp:617: error: 'class Exiv2::ExifData' has no member named 'copyThumbnail'
kexiv2.cpp: In member function 'bool KExiv2Iface::KExiv2::setExifThumbnail(const QImage&, bool)':
kexiv2.cpp:697: error: 'class Exiv2::ExifData' has no member named 'setJpegThumbnail'
kexiv2.cpp: In member function 'QByteArray KExiv2Iface::KExiv2::getExifTagData(const char*) const':
kexiv2.cpp:1292: error: 'class Exiv2::ExifData' has no member named 'byteOrder'
make[3]: *** [kexiv2.lo] Error 1
make[3]: Leaving directory `/var/tmp/portage/media-libs/libkexiv2-0.1.7-r1/work/libkexiv2-0.1.7/libkexiv2/libkexiv2'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/var/tmp/portage/media-libs/libkexiv2-0.1.7-r1/work/libkexiv2-0.1.7/libkexiv2'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/var/tmp/portage/media-libs/libkexiv2-0.1.7-r1/work/libkexiv2-0.1.7'
make: *** [all] Error 2
 *
 * ERROR: media-libs/libkexiv2-0.1.7-r1 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_compile
 *             environment, line 4085:  Called kde_src_compile
 *             environment, line 2922:  Called kde_src_compile 'all'
 *             environment, line 3047:  Called kde_src_compile 'myconf' 'configure' 'make'
 *             environment, line 3043:  Called die
 * The specific snippet of code:
 *                   emake || die "died running emake, $FUNCNAME:make"
 *  The die message:
 *   died running emake, kde_src_compile:make


I can no longer run digikam-0.9.4 as it crashes on startup. These problems cropped up after updating from kde-4.1.85 to 4.1.87.

I can't install digikam-0.10.0_beta7 as it can't find dependency libraries like libexiv2-4.1.87 which is installed, as well as can't find libkipi and a couple others of which are installed. This has been an ongoing problem since first trying to install digikam-0.10.0-beta5 from kde-crazy.
Help appreciated if anyone knows. /jd


Last edited by hunky on Sun Jan 11, 2009 3:05 am; edited 1 time in total
Back to top
View user's profile Send private message
Randy Andy
Veteran
Veteran


Joined: 19 Jun 2007
Posts: 1136
Location: /dev/koelsch

PostPosted: Fri Jan 09, 2009 2:56 pm    Post subject: libkexiv2-0.1.7-r1 fails to compile Reply with quote

Hi hunky,

I guess it has nothing to do with your kde-testing overlay and the enabled kdeprefix use flag cause:

I have the same trouble since my last world update before two days, when some updates of exiv2 digikam and libkexiv2 came through.
I'm only using the ~amd64 without any overlay and have the same trouble.

Maybee this bug report helps you: https://bugs.gentoo.org/show_bug.cgi?id=251896
I tried to patch the ebuild yesterday with its help, but wasn't experienced enough to get success.

So i hope the fixed ebuild came out shortly :cry:

Good luck, Andy.
_________________
If you want to see a Distro done right, compile it yourself!
Back to top
View user's profile Send private message
hunky
l33t
l33t


Joined: 19 Nov 2003
Posts: 821
Location: Alaska

PostPosted: Fri Jan 09, 2009 5:11 pm    Post subject: Reply with quote

Thanks for the info Andy. I'll look at the bugs a bit closer. /jd

[edit] I built the ebuild based on that bug this way:


mkdir /usr/local/portage/media-libs/libkexiv2
nano -w /usr/local/portage/media-libs/libkexiv2/libkexiv2-0.1.8.ebuild <paste in contents from bug attachment and save>
chmod 775 /usr/local/portage/media-libs/libkexiv2/libkexiv2-0.1.8.ebuild
ebuild /usr/local/portage/media-libs/libkexiv2/libkexiv2-0.1.8.ebuild digest

and it downloaded the libkexiv2-0.1.8.tar.bz2 to /usr/portage/distfiles/ from that last step above.

But emerge can't find it - " emerge: there are no ebuilds to satisfy "=media-libs/libkexiv2-0.1.8" "

I may be forgetting a step or something but Andy, give it a try.
Back to top
View user's profile Send private message
hunky
l33t
l33t


Joined: 19 Nov 2003
Posts: 821
Location: Alaska

PostPosted: Sun Jan 11, 2009 3:06 am    Post subject: Reply with quote

libkexiv2-0.1.8 has shown up and compiles fine now.
Back to top
View user's profile Send private message
theRealMorpheu5
l33t
l33t


Joined: 26 Feb 2004
Posts: 841
Location: Vicenza, IT

PostPosted: Fri Jan 16, 2009 12:31 pm    Post subject: Reply with quote

Sorry for bumping this up. It seems that 0.1.8 is still having some troubles but I'm not sure whether it's ebuild or software related. Basically it checks for kdelibs which I compiled with Qt4 and tries to compile itself with Qt3 raising the following error:

Code:
checking for Qt... libraries /usr/qt/3/lib, headers /usr/qt/3/include using -mt
checking for moc... /usr/qt/3/bin/moc
checking for uic... /usr/qt/3/bin/uic
checking whether uic supports -L ... yes
checking whether uic supports -nounload ... yes
checking if Qt needs -ljpeg... no
checking for rpath... yes
checking for KDE... libraries /usr/kde/3.5/lib, headers /usr/kde/3.5/include
checking if UIC has KDE plugins available... no
configure: error:
you need to install kdelibs first.

If you did install kdelibs, then the Qt version that is picked up by
this configure is not the same version you used to compile kdelibs.
The Qt Plugin installed by kdelibs is *ONLY* loadable if it is the
_same Qt version_, compiled with the _same compiler_ and the same Qt
configuration settings.


!!! Please attach the following file when seeking support:
!!! /var/tmp/portage/media-libs/libkexiv2-0.1.8/work/libkexiv2-0.1.8/config.log
 *
 * ERROR: media-libs/libkexiv2-0.1.8 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_compile
 *             environment, line 4111:  Called kde_src_compile
 *             environment, line 2940:  Called kde_src_compile 'all'
 *             environment, line 3065:  Called kde_src_compile 'myconf' 'configure' 'make'
 *             environment, line 3053:  Called econf '--with-x' '--enable-mitshm' '--with-xinerama' '--with-qt-dir=/usr/qt/3' '--enable-mt' '--with-qt-libraries=/usr/qt/3/lib' '--disable-dependency-tracking' '--disable-debug' '--without-debug' '--without-arts' '--prefix=/usr/kde/3.5' '--mandir=/usr/kde/3.5/share/man' '--infodir=/usr/kde/3.5/share/info' '--datadir=/usr/kde/3.5/share' '--sysconfdir=/usr/kde/3.5/etc'
 *               ebuild.sh, line  543:  Called die
 * The specific snippet of code:
 *                      die "econf failed"
 *  The die message:
 *   econf failed


It seems either the ebuild or the configure itself is picking up the wrong version of Qt...
Back to top
View user's profile Send private message
theRealMorpheu5
l33t
l33t


Joined: 26 Feb 2004
Posts: 841
Location: Vicenza, IT

PostPosted: Sat Jan 17, 2009 1:02 pm    Post subject: Reply with quote

Looks like rebuilding kdelibs (which I did for a completely unrelated reason) did the trick.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum